commit:     e6f9a5aee0bc08893ad639d5ba817c5563eff0f4
Author:     Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Fri Dec  9 08:30:36 2016 +0000
Commit:     Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Fri Dec  9 08:33:14 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e6f9a5ae

dev-python/pyqtgraph: version bump to 0.10.0

 dev-python/pyqtgraph/Manifest                |  1 +
 dev-python/pyqtgraph/pyqtgraph-0.10.0.ebuild | 53 ++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-python/pyqtgraph/Manifest b/dev-python/pyqtgraph/Manifest
index 9f6dbad..78aa68b 100644
--- a/dev-python/pyqtgraph/Manifest
+++ b/dev-python/pyqtgraph/Manifest
@@ -1,2 +1,3 @@
+DIST pyqtgraph-0.10.0.tar.gz 704972 SHA256 
4c851deec81c1dd1ecb4468ff6d5b035349b167cc1b4e4bb724b4b410945d20b SHA512 
d995da7b4f13ae0009582aebe3f753dc78566dc50ba9314d3a2d37ad4ed8f2fd8bb497a01bb8b37b6d96bf14c071aad018bcbc7224d9dd9b47589a7b5b640d30
 WHIRLPOOL 
a3435da48e68a4d1dfadfcb3a07f58056291cfac09b09c6459520b781717005cf52037354e2062ad4d81ed4f734ed7acf8f55d2638df720bf22f3723424ceebb
 DIST pyqtgraph-0.9.10.tar.gz 1086558 SHA256 
4c0589774e3c8b0c374931397cf6356b9cc99a790215d1917bb7f015c6f0729a SHA512 
c947bf69116b8b0a61a1db6ec70d51741667387f98320ce581733a306bea704754b7bb0abf94d6f01ce74dfc218b3c573db017a5e189cde76d00f85bc6b23a3d
 WHIRLPOOL 
45ce6873298b30f74b374d3e6d7a97b1602a723d6d08847f79560fb29e6d66b70e23705e07ec5481e427fde99f27d4b84da8565ea53d96a377f5727176d35c8f
 DIST pyqtgraph-0.9.9.tar.gz 1086535 SHA256 
6f61a7415c9488b334f856f06bc436b61d3742b2257310fe4bc8a1b85f84590b SHA512 
f1fdf6aa2d66f4fc222fbcf97709ef9d172a4f7611882f46e6f9738fed9485ada9d81dd4d078c51385743fa344e52c3c1e0477ae5b6fabd04718bba8622e6a3e
 WHIRLPOOL 
4d68d476df65f71eb4d7ea88eb6004ffc09868de6dbcf5192da773af6069cd83f388e3945ced1977e2531c9249bc58cc950f8540aaf71696f55d973a005a0e33

diff --git a/dev-python/pyqtgraph/pyqtgraph-0.10.0.ebuild 
b/dev-python/pyqtgraph/pyqtgraph-0.10.0.ebuild
new file mode 100644
index 00000000..c7f0b0d
--- /dev/null
+++ b/dev-python/pyqtgraph/pyqtgraph-0.10.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+inherit distutils-r1
+
+DESCRIPTION="a pure-python graphics and GUI library built on PyQt/PySide and 
numpy"
+HOMEPAGE="http://www.pyqtgraph.org/ https://github.com/pyqtgraph/pyqtgraph";
+SRC_URI="https://github.com/pyqtgraph/${PN}/archive/${P}.tar.gz";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples opengl"
+
+RDEPEND="
+       dev-python/numpy[${PYTHON_USEDEP}]
+       sci-libs/scipy[${PYTHON_USEDEP}]
+       || (
+               dev-python/PyQt5[${PYTHON_USEDEP}]
+               dev-python/PyQt4[${PYTHON_USEDEP}]
+               dev-python/pyside[${PYTHON_USEDEP}]
+       )
+       opengl? ( dev-python/pyopengl[${PYTHON_USEDEP}] )
+"
+DEPEND="${RDEPEND}
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+"
+
+S=${WORKDIR}/${PN}-${P}
+
+python_prepare_all() {
+       distutils-r1_python_prepare_all
+
+       # fix distutils warning
+       sed -i 's/install_requires/requires/' setup.py || die
+
+       if ! use opengl; then
+               rm -r pyqtgraph/opengl || die
+       fi
+}
+
+python_compile_all() {
+       use doc && emake -C doc html
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( doc/build/html/. )
+       use examples && dodoc -r examples
+       distutils-r1_python_install_all
+}

Reply via email to